FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202103202139.p0 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202103202139.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=72a4740 OS_GIT_VERSION=4.7.0-202103202139.p0-72a4740 SOURCE_DATE_EPOCH=1609783060 SOURCE_GIT_COMMIT=72a4740ff38e9c924d0f7cd760b6b5fd85283242 SOURCE_GIT_TAG=72a4740f SOURCE_GIT_URL=https://github.com/openshift/cluster-machine-approver 
WORKDIR /go/src/github.com/openshift/cluster-machine-approver
COPY . .
RUN make build

FROM openshift/ose-base:v4.7.0.20210320.221641
ENV __doozer=update BUILD_RELEASE=202103202139.p0 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202103202139.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=72a4740 OS_GIT_VERSION=4.7.0-202103202139.p0-72a4740 SOURCE_DATE_EPOCH=1609783060 SOURCE_GIT_COMMIT=72a4740ff38e9c924d0f7cd760b6b5fd85283242 SOURCE_GIT_TAG=72a4740f SOURCE_GIT_URL=https://github.com/openshift/cluster-machine-approver 
COPY --from=builder /go/src/github.com/openshift/cluster-machine-approver/machine-approver /usr/bin/
COPY manifests /manifests
ENTRYPOINT ["/usr/bin/machine-approver"]

LABEL \
        io.k8s.display-name="OpenShift cluster-machine-approver" \
        io.k8s.description="This is an OpenShift component for approving new machines" \
        com.redhat.component="ose-cluster-machine-approver-container" \
        maintainer="OpenShift Auth Team <aos-auth-team@redhat.com>" \
        name="openshift/ose-cluster-machine-approver" \
        version="v4.7.0" \
        io.openshift.tags="openshift" \
        io.openshift.release.operator="true" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        release="202103202139.p0" \
        io.openshift.build.commit.id="72a4740ff38e9c924d0f7cd760b6b5fd85283242" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-machine-approver" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-machine-approver/commit/72a4740ff38e9c924d0f7cd760b6b5fd85283242"

